GET /v1/withdrawals/{uuid}

Retrieve withdrawal

Status of a withdrawal: pending_review, processing, broadcasting, completed, failed or rejected.

Parameters

uuid path required

Withdrawal UUID.

Response 200

{
    "uuid": "1c0a…",
    "status": "completed",
    "net_payout": "49",
    "tx_hash": "5e8b…"
}

All requests must be signed — see Authentication.

BODY=''
SIG=$(printf '%s' "$BODY" | openssl dgst -sha256 -hmac "$ZYVO_SECRET" | cut -d" " -f2)
curl -X GET https://api.zyvopay.com/v1/withdrawals/1c0a2b3c-0000-4000-8000-000000000000 \
  -H "X-Zyvo-Key: $ZYVO_KEY" \
  -H "X-Zyvo-Signature: $SIG"
Try it live

Requests hit the live API with your keys. Your secret stays in this browser tab.